module shpc_close_m

  implicit none

contains

  subroutine shpc_close(hshp)

    ! Libraries:
    use shapelib, only: shpclose

    use derived_types, only: shpc

    TYPE(shpc), intent(inout):: hshp

    !-------------------------------------------------------------

    CALL shpclose(hshp%extremum)
    CALL shpclose(hshp%outermost)
    CALL shpclose(hshp%max_speed)

  end subroutine shpc_close
  
end module shpc_close_m
